# Glib::ValueBase_String Class Reference
[Generic Values]

Inherits Glib::ValueBase.

Inherited by Glib::Value< Glib::ustring >, and Glib::Value< std::string >.

Collaboration diagram for Glib::ValueBase_String:
[legend]

List of all members.

## Public Types

typedef const gchar* | CType

## Static Public Member Functions

static GType | value_type ()

## Protected Member Functions

void | set_cstring (const char* data)
const char* | get_cstring () const

## Member Typedef Documentation

typedef const gchar* Glib::ValueBase_String::CType

## Member Function Documentation

const char* Glib::ValueBase_String::get_cstring | ( |  | ) | const`[protected]`

void Glib::ValueBase_String::set_cstring | ( | const char * | data | ) | `[protected]`

static GType Glib::ValueBase_String::value_type | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- glibmm/value.h